from trytond.pool import Pool
from . import configuration

from . import invoice
from . import dian
from . import ir

__all__ = ['register']


def register():
    Pool.register(
        configuration.Configuration,
        configuration.ConfigurationDianFECompany,
        invoice.Invoice,
        invoice.InvoiceLine,
        invoice.Product,
        invoice.InvoiceSubtype,
        invoice.PaymentTerm,
        invoice.PaymentMethod,
        #invoice.PartyFeOrganization,
        #invoice.Party,
        invoice.Cron,
        dian.InvoiceResolution,
        ir.Trigger,
        module='account_invoice_facho', type_='model')
    Pool.register(
        dian.SincronizarRangoFacturacion,
        invoice.SendInvoice,
        module='account_invoice_facho', type_='wizard')
    Pool.register(
        invoice.InvoiceReportDianZip,
        module='account_invoice_facho', type_='report')
